org.eclipse.net4j.util.cache

## Interface ICacheMonitor

- All Superinterfaces:
    INotifier
  All Known Implementing Classes:
    CacheMonitor

      public interface ICacheMonitor
      extends INotifier

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ICacheMonitor.Condition`
    `static interface` | `ICacheMonitor.ConditionPolicy`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deregisterCache(ICache cache)`
    `ICacheMonitor.Condition` | `getCondition()`
    `ICacheMonitor.ConditionPolicy` | `getConditionPolicy()`
    `ICacheProbe` | `registerCache(ICache cache)`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getConditionPolicy

          ICacheMonitor.ConditionPolicy getConditionPolicy()

    - #### getCondition

          ICacheMonitor.Condition getCondition()

    - #### registerCache

          ICacheProbe registerCache(ICache cache)

    - #### deregisterCache

          void deregisterCache(ICache cache)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html